[Intel-gfx] [PATCH] dim: add error handling for rerere cache pulling

Daniel Vetter daniel.vetter at ffwll.ch
Tue Aug 15 11:21:25 UTC 2017


This silently failed for me, and I had no idea what's happening.

Signed-off-by: Daniel Vetter <daniel.vetter at intel.com>
---
 dim | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/dim b/dim
index 85866488e0e0..48e076eba00e 100755
--- a/dim
+++ b/dim
@@ -503,7 +503,14 @@ function update_rerere_cache
 	echo -n "Updating rerere cache... "
 
 	cd $DIM_PREFIX/drm-rerere/
-	git pull &> /dev/null
+	if ! git pull &> /dev/null ; then
+		echo "Failed to update the rerere cache."
+		echo "Please manually run"
+		echo "	$ cd $DIM_PREFIX/drm-rerere ; git pull"
+		echo "and fixup any issues."
+
+		exit 1
+	fi
 	if [ ! -L $(rr_cache_dir) ] ; then
 		if [ -d $(rr_cache_dir) ] ; then
 			rm -Rf $(rr_cache_dir)
@@ -524,7 +531,14 @@ function commit_rerere_cache
 	if git_is_current_branch rerere-cache ; then
 		remote=$(branch_to_remote rerere-cache)
 
-		git pull >& /dev/null
+		if ! git pull &> /dev/null ; then
+			echo "Failed to update the rerere cache."
+			echo "Please manually run"
+			echo "	$ cd $DIM_PREFIX/drm-rerere ; git pull"
+			echo "and fixup any issues."
+
+			exit 1
+		fi
 		git add ./*.patch >& /dev/null || true
 		for file  in $(git ls-files); do
 			if ! git log --since="60 days ago" --name-only -- $file | grep $file &> /dev/null; then
-- 
2.13.3



More information about the Intel-gfx mailing list